List all tokens for the container registry
get
Authorizations
AuthorizationstringRequired
You will need to base64 encode the string containing your credentials. Separate your username and password with a colon, i.e., username:password and send it as 'Authorization' request header. More details: https://en.wikipedia.org/wiki/Basic_access_authentication
Path parameters
registryIdstring · uuidRequiredPattern:
The unique ID of the registry
^[0-9a-fA-F]{8}-([0-9a-fA-F]{4}-){3}[0-9a-fA-F]{12}$Query parameters
offsetstringOptionalDefault:
The first element (from the complete list of the elements) to include in the response (used together with limit for pagination)
0limitstringOptionalDefault:
The maximum number of elements to return (used together with offset for pagination)
100Responses
200
OK
application/json
countintegerRequired
hrefstringOptional
idstringOptional
limitintegerRequired
offsetintegerRequired
totalintegerRequired
typestringOptional
400
Bad Request
application/json
get/registries/{registryId}/tokens
GET /containerregistries/registries/{registryId}/tokens HTTP/1.1
Host: api.ionos.com
Authorization: Basic username:password
Accept: */*
{
"_links": {
"next": "text",
"previous": "text",
"self": "text"
},
"count": 1,
"href": "text",
"id": "text",
"items": [
{
"href": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"metadata": {
"createdBy": "text",
"createdByUserId": "text",
"createdDate": "2026-01-01T00:00:00.000Z",
"lastModifiedBy": "text",
"lastModifiedByUserId": "text",
"lastModifiedDate": "2026-01-01T00:00:00.000Z",
"state": "text"
},
"properties": {
"credentials": {
"password": "",
"username": "push-token"
},
"expiryDate": "2026-01-01T00:00:00.000Z",
"name": "push-token",
"scopes": [
{
"actions": [
"pull",
"push",
"delete"
],
"name": "*",
"type": "repository"
}
],
"status": "enabled"
},
"type": "text"
}
],
"limit": 1,
"offset": 1,
"total": 1,
"type": "text"
}Last updated
Was this helpful?